Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2700 closed defect (fixed)

cpukit/libfs/src/nfsclient/src/rpcio.c:524]: (style) Suspicious condition

Reported by: David Binderman Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

cpukit/libfs/src/nfsclient/src/rpcio.c:524]: (style) Suspicious condition (assignment + comparison); Clarify expression with parentheses.

Source code is

if ( (len = getgroups(NGROUPS, gids) < 0 ) ) {

maybe better code

if ( (len = getgroups(NGROUPS, gids)) < 0 ) {

Change History (5)

comment:1 Changed on 01/20/17 at 15:17:24 by David Binderman

Still broken nine months later.

comment:2 Changed on 01/23/17 at 13:39:44 by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In [changeset:"c0151e6c6486ce3ae3623e616326fae626f32eb2/rtems"]:

nfsclient: Fix suspicious condition

Close #2700.

comment:3 Changed on 01/23/17 at 13:40:22 by Sebastian Huber

Milestone: 4.11.14.12

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.